﻿namespace Hotline.Share.Dtos.FlowEngine.Workflow;

/// <summary>
/// 办理参数
/// </summary>
public class NextWorkflowDto : BasicWorkflowDto
{
    public string WorkflowId { get; set; }

    /// <summary>
    /// 当前办理节点id
    /// </summary>
    public string StepId { get; set; }

}

public class NextWorkflowDto<TData>
{
    /// <summary>
    /// 业务数据
    /// </summary>
    public TData Data { get; set; }

    /// <summary>
    /// 流程数据
    /// </summary>
    public NextWorkflowDto Workflow { get; set; }
}